Subject: bug#32720: term-mode ignores certain window size changes

From: martin rudalics <[email-masked]>
Date: Tue, 01 Jan 2019 18:25:39 +0100

> I started running the patched version and immediately ran into trouble with
 > switching away from term-mode buffers, but I suspect it's related to some
 > custom code I have:
 >
 > https://github.com/gfredericks/dotfiles/blob/6a6497dd747e92b034549f3aee05d4dc6f0640d5/base/.emacs.d/user/gfredericks-terminals.el.symlink#L63

The only things related to my patch should be

(defun window-size-change-function-for-bug-32720 (_frame)
   (window--adjust-process-windows))

and its activation in 'term-load-hook'.  Would removing these change
something in the behavior you observe?

 > In particular C-x b doesn't work like it used to; it ends up doing
 > something weird where it creates a buffer named after the minibuffer buffer
 > selection text.

Shouldn't C-x b create such a buffer if it does not exist yet?  What
precisely did you want it to do?

martin